use serde::Serialize;

use super::render_context::RenderContext;
use crate::error::CustomError;
use crate::intermediate::IOrgMacro;

use super::macros::rnoop;

#[derive(Debug, Serialize)]
#[serde(tag = "type")]
#[serde(rename = "org_macro")]
pub(crate) struct RenderOrgMacro {
    post_blank: organic::types::PostBlank,
}

rnoop!(RenderOrgMacro, IOrgMacro);
