use super::table_row::RenderTableRow;
use serde::Serialize;

#[derive(Debug, Serialize)]
#[serde(tag = "type")]
pub(crate) enum RenderTableGroup {
    #[serde(rename = "head")]
    Head { children: Vec<RenderTableRow> },

    #[serde(rename = "body")]
    Body { children: Vec<RenderTableRow> },
}
