use std::path::PathBuf;

use crate::error::CustomError;

#[derive(Debug)]
pub(crate) struct Stylesheet {
    pub(crate) path: PathBuf,
    pub(crate) contents: String,
}

impl Stylesheet {
    pub(crate) async fn new(path: PathBuf, contents: String) -> Result<Stylesheet, CustomError> {
        Ok(Stylesheet { path, contents })
    }
}
