use serde::Serialize;

use super::render_context::RenderContext;
use crate::error::CustomError;
use crate::intermediate::IHorizontalRule;

use super::macros::rnoop;

#[derive(Debug, Serialize)]
#[serde(tag = "type")]
#[serde(rename = "horizontal_rule")]
pub(crate) struct RenderHorizontalRule {
    post_blank: organic::types::PostBlank,
}

rnoop!(RenderHorizontalRule, IHorizontalRule);
